## ros-melodic-xpp-states 1.0.10

=== debian/changelog ===
ros-melodic-xpp-states (1.0.10-0stretch) stretch; urgency=high

  * Improve docs (#8 <https://github.com/leggedrobotics/xpp/issues/8>)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-xpp-states (1.0.9-0stretch) stretch; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 09 Jul 2018 22:00:00 -0000

ros-melodic-xpp-states (1.0.8-0stretch) stretch; urgency=high

  * avoid IK segfault for biped/hyq when not enough ee positions sent
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 06 Jul 2018 22:00:00 -0000

ros-melodic-xpp-states (1.0.7-0stretch) stretch; urgency=high

  * add names to biped and quadruped ids
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 02 Jul 2018 22:00:00 -0000

ros-melodic-xpp-states (1.0.6-0stretch) stretch; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 17 Apr 2018 22:00:00 -0000

ros-melodic-xpp-states (1.0.5-0stretch) stretch; urgency=high

  * modernize CMake files
  * use default keyword for empty destructors
  * use default BSD license
  * move terrain types to towr_ros
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 31 Jan 2018 23:00:00 -0000

ros-melodic-xpp-states (1.0.4-0stretch) stretch; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 02 Jan 2018 23:00:00 -0000

ros-melodic-xpp-states (1.0.3-0stretch) stretch; urgency=high

  * removed xpp_ros_conversions (now in xpp_states)
  * 1.0.2
  * update changelog
  * Merge pull request #1 from mikaelarguedas/missing_includes
    add missing std includes
  * add missing std includes
  * Contributors: Alexander W Winkler, Mikael Arguedas

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 02 Nov 2017 23:00:00 -0000

ros-melodic-xpp-states (1.0.2-0stretch) stretch; urgency=high

  * Merge pull request #1 <https://github.com/leggedrobotics/xpp/issues/1> from mikaelarguedas/missing_includes
    add missing std includes
  * add missing std includes
  * Contributors: Alexander W Winkler, Mikael Arguedas

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 27 Oct 2017 22:00:00 -0000

ros-melodic-xpp-states (1.0.1-0stretch) stretch; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 26 Oct 2017 22:00:00 -0000

ros-melodic-xpp-states (1.0.0-0stretch) stretch; urgency=high

  * removed robot specific bag files from xpp_msgs
  * included install space in CMakeLists.txt
  * changed catkin pkg dependencies to roscpp
  * formatting
  * Added license to files and giving credit to contributors.
  * removed some unneccessary dependencies.
  * cleaned up package.xml and CMakeLists.txt files
  * cleaned up endeffector and joint representation
  * showed close connection of mono/bi/quad to hyq
  * made xpp_vis robot independent. Added sample hopper executables
  * removed biped and quadruped joint identifier
  * added xpp_states
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 25 Oct 2017 22:00:00 -0000
